<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
      <meta charset="UTF-8">
      <title>Изменить данные о фильме</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Обновить данные о фильме ' + ${film.getFilmTitle()}"></h3>
       <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/films/update}" th:object="${filmForm}">
           <input type="hidden" name="id"
               th:value="${film.getId()}">
               <div class="mt-3 row g-2">
                   <div class="col-md">
                       <div class="form-floating">
                           <input name="filmTitle" th:value="${film.getFilmTitle()}" type="text" class="form-control" id="title" placeholder="Название фильма" required>
                           <label for="title">Название</label>
                           <div class="invalid-feedback">Обязательное поле для заполнения</div>
                       </div>
                   </div>
                   <div class="col-md">
                       <div class="form-floating">
                            <select class="form-select" name="genre" id="genre" required th:object="${film}" th:field="*{genre}">
                            <option th:value="default">Выберете жанр из списка</option>
                            <option th:selected="${film.getGenre().getGenreTextDisplay()}"
                                    th:each="genre : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Genre).values()}"
                                    th:value="${genre}" th:text="${genre.getGenreTextDisplay()}"></option>
                            </select>
                            <label for="genre">Жанр</label>
                            <div class="invalid-feedback">Обязательное поле для заполнения</div>
                       </div>
                   </div>
               </div>
            <div class="mt-3 form-floating">
                <input type="hidden" th:value="${film.getOnlineCopyPath()}" name="onlineCopy" class="form-control form-control-sm">
                <input name="file" type="file" class="form-control form-control-sm" id="onlineCopy" placeholder="Онлайн копия файла" style="padding-top: 2rem;">
                <label for="onlineCopy">Онлайн копия</label>
            </div>
               <div class="mt-3 row g-2">
                   <div class="col-md">
                        <div class="form-floating">
                            <input name="premierYear" th:value="${film.getPremierYear()}" type="text" class="form-control" id="premierYear" placeholder="Дата премьеры" required>
                            <label for="premierYear">Дата премьеры</label>
                            <div class="invalid-feedback">Обязательное поле для заполнения</div>
                        </div>
                   </div>
                   <div class="col-md">
                         <div class="form-floating">
                             <input name="country" th:value="${film.getCountry()}" type="text" class="form-control" id="country" placeholder="Страна производства" required>
                             <label for="country">Страна производства</label>
                             <div class="invalid-feedback">Обязательное поле для заполнения</div>
                         </div>
                   </div>
               </div>
               <div class="mt-3 row g-2">
                   <button type="submit" class="btn btn-primary" onclick="validateForm()">Обновить</button>
                   <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
               </div>
       </form>
</div>
</body>
</html>